워드프레스 Flatsome 테마 페이지 편집 오류 시 대처방법

얼마 전에 클라이언트가 워드프레스 Flatsome 테마가 적용된 사이트에서 페이지 편집 시 오류가 발생하는 문제로 연락해왔습니다. Flatsome 테마의 UX Builder로 만들어진 페이지가 최신 플랫섬 테마로 업데이트했을 때 편집 시 일부 엘리먼트(요소)가 사라지는 현상이었습니다.

워드프레스 Flatsome 테마 페이지 편집 오류

워드프레스 플랫섬 테마

2021년 5월 현재 16만 개 이상 판매된 Flatsome은 워드프레스 인기 우커머스 테마로 워드프레스로 쇼핑몰을 운영하는 경우 멋진 쇼핑몰을 만들 수 있습니다.

Flatsome 테마의 구버전에서 작성된 페이지의 일부 요소가 최신 Flatsome 버전으로 업데이트했을 때 페이지 편집 시 오류가 발생하는 버그가 있습니다.

워드프레스 쇼핑몰 테마 Flatsome

클라이언트의 사이트에 Flatsome 3.13.3 버전이 설치되어 있었는데, 혹시 플러그인이 문제를 일으키는지 체크해보니 플러그인을 모두 비활성화해도 문제가 해결되지 않았습니다.

마침 지난 12월 말에 테스트 사이트에 설치하기 위해 다운로드해 놓은 Flatsome 3.13.1 버전으로 다운그레이드하니 페이지 편집 오류가 발생하지 않았습니다. 교체하는 방법은 간단합니다. FTP를 통해 접속하여 /wp-content/themes/ 폴더 아래의 테마 폴더(여기서는 flatsome)를 삭제하고, 설치 파일의 압축이 해제된 폴더(여기서는 flatsome)를 /wp-content/themes/ 폴더 아래로 업로드하면 됩니다.

몇 가지 테스트 결과 다음과 같은 방법으로 문제를 해결할 수 있다는 생각이 들었습니다.

  • Flatsome 개발자에게 지원 요청: 구 버전에서 작성된 페이지가 최신 버전에서는 오류가 발생하므로 Flatsome 테마의 버그를 의심해볼 수 있습니다. 플랫섬 테마 판매자에게 연락하여 지원을 요청할 수 있습니다. Themeforest 테마와 관련하여 지원을 요청하려면 유효한 지원 라이선스가 있어야 합니다. 지원 라이선스가 만료되었다면 갱신해야 할 수도 있습니다.
  • 페이지 새로 만들기: 모든 페이지에서 오류가 발생한다면 테마 판매자에게 연락하여 지원을 받아야 하지만, 특정 페이지에만 오류가 발생하는 경우라면 해당 페이지만 최신 Flatsome 테마의 UX Builder로 만드는 것을 고려해볼 수 있습니다.
  • Flatsome 버전 다운로그레이드: 이전 버전의 Flatsome 테마 파일이 있다면 버그가 수정되기 전까지 버전을 다운그레이드하는 것을 고려할 수 있습니다. 이 방법은 미봉책일 뿐이고 보안에도 문제가 될 수 있으므로 그리 바람직하지 않습니다.

일부 엘리먼트가 포함된 페이지에서만 페이지 편집 오류가 발생하는 것으로 보이며, 이 때문에 Flatsome 개발자가 버그를 인식하지 못하고 있을 수도 있습니다. 문제가 발생하면 지원 라이선스가 있는 경우 테마 판매자에게 지원을 요청하는 것이 가장 바람직한 방법 같습니다.

마치며

Flatsome 테마의 UX 빌더로 만든 페이지가 최신 버전에서 편집 시 오류가 발생하는 문제에 대해 간단히 다루어 보았습니다. 이와 같은 문제가 발생하는 경우 먼저 플랫섬에 지원을 요청하면 도움을 받을 수 있을 것입니다.

Flatsome은 다목적 우커머스 테마로 주로 쇼핑몰 구축에 많이 사용됩니다. 만약 사이트 속도가 느리다면 Revolution Slider와 같은 무거운 플러그인이 원인일 수 있습니다. 그리고 캐시 플러그인과 최적화 플러그인을 설치하여 세팅하면 속도가 빨라질 것입니다.

빠른 워드프레스 테마를 원하는 경우에는 GeneratePress나 OcenaWP, Astra와 같은 테마를 고려할 수 있습니다. 특히, 심플한 블로그를 운영하고 싶은 경우 GeneratePress 테마를 사용하면 빠른 사이트를 만들 수 있을 것입니다.

참고

Leave a Comment

프리미엄 테마 그래픽 동영상 템플릿 무료 다운로드